diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/Portfile /Users/dan/localports/fuse/macfuse/Portfile
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/Portfile	2009-05-14 15:41:55.000000000 -0400
+++ /Users/dan/localports/fuse/macfuse/Portfile	2009-12-23 01:02:09.000000000 -0500
@@ -1,43 +1,45 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id: Portfile 50980 2009-05-14 19:41:55Z and.damore@macports.org $
 
 PortSystem 1.0
 
 name                macfuse
-version             1.7
-revision            1
+version             2.0.3
 categories          fuse devel
 platforms           macosx
 maintainers         eridius
-description         A FUSE-Compliant File System Implementation Mechanism for Mac OS X
-long_description    MacFUSE implements a mechanism that makes it possible to implement \
-                    a fully functional file system in a user-space program on Mac OS X \
-                    (10.4 and above). It aims to be API-compliant with the FUSE \
-                    (File-system in USErspace) mechanism that originated on Linux. \
-                    Therefore, many existing FUSE file systems become readily usable on \
-                    Mac OS X. The core of MacFUSE is in a dynamically loadable kernel extension.
+description         A FUSE-Compliant File System Implementation Mechanism for \
+                    Mac OS X
+
+long_description    MacFUSE implements a mechanism that makes it possible to  \
+                    implement a fully functional file system in a user-space  \
+                    program on Mac OS X (10.4 and above). It aims to be       \
+                    API-compliant with the FUSE (File-system in USErspace)    \
+                    mechanism that originated on Linux.  Therefore, many      \
+                    existing FUSE file systems become readily usable on       \
+                    Mac OS X. The core of MacFUSE is in a dynamically         \
+                    loadable kernel extension.
 
 homepage            http://code.google.com/p/macfuse/
 master_sites        macports
-distname            macfuse-${version}-1
-worksrcdir          macfuse-core
-checksums           md5 e2a8d2dcf116ec806d47bd050b77dd23 \
-                    sha1 5989a81a86ce74fadedf9c06119c6c279cd1cb6c
-
-patchfiles          patch-10.4-project.pbxproj \
-                    patch-10.5-project.pbxproj \
-                    patch-10.5-packaging-macfuse-core-make-pkg.sh \
-                    patch-build_macfuse.sh
-
-livecheck.distname  MacFUSE-Core-(.*).dmg
-livecheck.version   10.5-${version}.1
-
 use_bzip2           yes
+worksrcdir          core
+checksums           md5     97ab76bbade128828596aca878c6c475 \
+                    sha1    60ea1536091740e2faeb9ebf72d8696ccd11ce2f \
+                    rmd160  e9a79de37d84ee5e21f63f02b924d04a5df94636
+
+patchfiles          patch-10.5-to-10.6.diff \
+                    patch-macfuse_buildtool.sh.diff \
+                    patch-sdk-objc_GMUserFileSystem.m.diff \
+                    patch-sdk-objc_MacFuse.xcodeproj.diff \
+                    patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff \
+                    patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff \
+                    patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff
 
-use_configure       no
-
-destroot.violate_mtree yes
+livecheck.type      googlecode
+livecheck.distname  MacFUSE-(.*)%2C.*.dmg
 
-# patchfiles          patch-project.pbxproj
+use_configure       no
 
 variant universal {
     # provide a dummy variant since the script will actually build universal
@@ -51,32 +53,31 @@
     }
 }
 
+# copy 10.5 source directory to 10.6 to prepare for the 10.5-to-10.6 patch
+# (this patch really should be applied upstream)
+#
+# use cp -R instead of cp -r or copy to preserve symlinks
+pre-patch {
+    system "cp -R ${worksrcpath}/10.5 ${worksrcpath}/10.6"
+}
+
+post-patch {
+    reinplace s,/usr/local,${prefix},g ${worksrcpath}/macfuse_buildtool.sh
+    reinplace s,/usr/local,${prefix},g ${worksrcpath}/sdk-objc/MacFUSE.xcodeproj/project.pbxproj
+    reinplace s,@@PREFIX@@,${prefix},g ${worksrcpath}/10.6/libfuse/fuse-2.7.3-macosx.patch
+    reinplace s,@@WORKPATH@@,${workpath},g ${worksrcpath}/macfuse_buildtool.sh
+    reinplace s,@@DESTPATH@@,${destpath},g ${worksrcpath}/macfuse_buildtool.sh
+}
+
+# macfuse_buildtool has been patched to install directly into ${destpath},
+# so destroot phase is unnecessary
 build {
-    system "cd ${worksrcpath} && ./build_macfuse.sh | sed -ne '/^created: /h;p;$\{g;s/^created: //
-                w ../dmgname
-            \}'; exit $\{PIPESTATUS\[0\]\}"
+     system "cd ${worksrcpath} && ./macfuse_buildtool.sh -t smalldist"
 }
 
+destroot.violate_mtree yes
+
 destroot {
-    delete ${destpath}${prefix}
-    set dmgname [exec cat ${workpath}/dmgname]
-    # we know the build script generates a .tar.bz2 right next to the dmg
-    set tarname [string tolower [string replace $dmgname end-2 end "tar.bz2"]]
-    system "tar -xjf $tarname -C ${destpath}"
-    file rename ${destpath}/usr/local ${destpath}${prefix}
-    foreach f [list "pkgconfig/fuse.pc" "libfuse.la" "libulockmgr.la"] {
-        set path "${destpath}${prefix}/lib/${f}"
-        reinplace s,/usr/local,${prefix}, $path
-    }
-    set libfuse_version 0
-    foreach lib [list "libulockmgr.0" "libfuse.${libfuse_version}"] {
-        set libpath "${prefix}/lib/${lib}.dylib"
-        system "install_name_tool -id ${libpath} ${destpath}${libpath}"
-    }
-    system "install_name_tool -change /usr/local/lib/libfuse.${libfuse_version}.dylib ${prefix}/lib/libfuse.${libfuse_version}.dylib ${destpath}/Library/Frameworks/MacFUSE.framework/Versions/A/MacFUSE"
-    # delete the whole directory the build script creates
-    # when updating this Portfile DOUBLE CHECK THIS LINE
-    delete [file dirname $dmgname]
 }
 
 post-activate {
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.4-project.pbxproj /Users/dan/localports/fuse/macfuse/files/patch-10.4-project.pbxproj
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.4-project.pbxproj	2008-12-03 19:01:43.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-10.4-project.pbxproj	1969-12-31 19:00:00.000000000 -0500
@@ -1,11 +0,0 @@
---- 10.4/fusefs/fusefs.xcodeproj/project.pbxproj.old	2008-12-03 15:22:06.000000000 -0800
-+++ 10.4/fusefs/fusefs.xcodeproj/project.pbxproj	2008-12-03 15:22:10.000000000 -0800
-@@ -471,7 +471,7 @@
- 			);
- 			runOnlyForDeploymentPostprocessing = 0;
- 			shellPath = /bin/sh;
--			shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/System/Library/Filesystems/ || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/System/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                               || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                             || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" \"CUSTOM_CFLAGS=-DMACFUSE_TARGET_OS=MAC_OS_X_VERSION_10_4\" || exit 1\nsudo $CMD_CP -pR build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
-+			shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=/bin/cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/System/Library/Filesystems/ || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/System/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                               || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                             || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" \"CUSTOM_CFLAGS=-DMACFUSE_TARGET_OS=MAC_OS_X_VERSION_10_4\" || exit 1\nsudo $CMD_CP -pR build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
- 		};
- /* End PBXShellScriptBuildPhase section */
- 
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff /Users/dan/localports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff	1969-12-31 19:00:00.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff	2009-12-22 23:08:51.000000000 -0500
@@ -0,0 +1,11 @@
+--- 10.4/libfuse/fuse-2.7.3-macosx.patch	2008-11-27 01:24:43.000000000 -0500
++++ 10.4/libfuse/fuse-2.7.3-macosx.patch	2009-12-22 22:57:03.000000000 -0500
+@@ -37609,7 +37609,7 @@
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
+ +
+-+CC=gcc-4.0 CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -g -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4" LDFLAGS="-arch i386 -arch ppc -Wl,-no_uuid -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
+++CC=gcc-4.0 CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -g -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4" LDFLAGS="-arch i386 -arch ppc -Wl,-no_uuid -framework CoreFoundation" ./configure --prefix=@PREFIX@ --disable-dependency-tracking --disable-static
+ diff -Naur old/example/Makefile.am new/example/Makefile.am
+ --- old/example/Makefile.am	2008-02-19 11:51:22.000000000 -0800
+ +++ new/example/Makefile.am	2008-11-26 22:23:12.000000000 -0800
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh /Users/dan/localports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh	2008-12-03 19:01:43.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh	1969-12-31 19:00:00.000000000 -0500
@@ -1,38 +0,0 @@
---- 10.5/packaging/macfuse-core/make-pkg.sh.old	2008-12-03 15:25:16.000000000 -0800
-+++ 10.5/packaging/macfuse-core/make-pkg.sh	2008-12-03 15:25:43.000000000 -0800
-@@ -88,7 +88,7 @@
- 
- # Copy the uninstall script
- UNINSTALL_DST="$DISTRIBUTION_FOLDER/Library/Filesystems/fusefs.fs/Support/uninstall-macfuse-core.sh"
--sudo cp "$UNINSTALL_SCRIPT" "$UNINSTALL_DST"
-+sudo /bin/cp "$UNINSTALL_SCRIPT" "$UNINSTALL_DST"
- sudo chmod 755 "$UNINSTALL_DST"
- sudo chown root:wheel "$UNINSTALL_DST"
- 
-@@ -131,7 +131,7 @@
- VOLUME_PATH="/Volumes/$VOLUME_NAME"
- 
- # Copy over the package.
--sudo cp -pRX "$OUTPUT_PACKAGE" "$VOLUME_PATH"
-+sudo /bin/cp -pRX "$OUTPUT_PACKAGE" "$VOLUME_PATH"
- if [ $? -ne 0 ]
- then
-     hdiutil detach "$VOLUME_PATH"
-@@ -139,14 +139,14 @@
- fi
- 
- # Set the custom icon.
--sudo cp -pRX "$INSTALL_RESOURCES/.VolumeIcon.icns" "$VOLUME_PATH"/.VolumeIcon.icns
-+sudo /bin/cp -pRX "$INSTALL_RESOURCES/.VolumeIcon.icns" "$VOLUME_PATH"/.VolumeIcon.icns
- sudo /Developer/Tools/SetFile -a C "$VOLUME_PATH"
- 
- # Copy over the license file.
--sudo cp "$INSTALL_RESOURCES/License.rtf" "$VOLUME_PATH"/License.rtf
-+sudo /bin/cp "$INSTALL_RESOURCES/License.rtf" "$VOLUME_PATH"/License.rtf
- 
- # Copy over the CHANGELOG.txt.
--sudo cp "../../../../CHANGELOG.txt" "$VOLUME_PATH"/CHANGELOG.txt
-+sudo /bin/cp "../../../../CHANGELOG.txt" "$VOLUME_PATH"/CHANGELOG.txt
- 
- # Detach the volume.
- hdiutil detach "$VOLUME_PATH"
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-project.pbxproj /Users/dan/localports/fuse/macfuse/files/patch-10.5-project.pbxproj
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-project.pbxproj	2008-12-03 19:01:43.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-10.5-project.pbxproj	1969-12-31 19:00:00.000000000 -0500
@@ -1,11 +0,0 @@
---- 10.5/fusefs/fusefs.xcodeproj/project.pbxproj.old	2008-12-03 15:23:43.000000000 -0800
-+++ 10.5/fusefs/fusefs.xcodeproj/project.pbxproj	2008-12-03 15:24:12.000000000 -0800
-@@ -473,7 +473,7 @@
- 			);
- 			runOnlyForDeploymentPostprocessing = 0;
- 			shellPath = /bin/sh;
--			shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Filesystems/     || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                                || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                              || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" || exit 1\nsudo $CMD_CP -pRX build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/usr/local/lib -type l`       # no exit upon error\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/Library/Frameworks/ -type l` # no exit upon error\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
-+			shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=/bin/cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Filesystems/     || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                                || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                              || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" || exit 1\nsudo $CMD_CP -pRX build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/usr/local/lib -type l`       # no exit upon error\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/Library/Frameworks/ -type l` # no exit upon error\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
- 		};
- /* End PBXShellScriptBuildPhase section */
- 
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-to-10.6.diff /Users/dan/localports/fuse/macfuse/files/patch-10.5-to-10.6.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-to-10.6.diff	1969-12-31 19:00:00.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-10.5-to-10.6.diff	2009-12-17 21:33:57.000000000 -0500
@@ -0,0 +1,30 @@
+--- 10.6/libfuse/fuse-2.7.3-macosx.patch	2009-12-15 19:51:06.000000000 -0500
++++ 10.6/libfuse/fuse-2.7.3-macosx.patch	2009-11-29 20:58:34.000000000 -0500
+@@ -375,7 +375,7 @@
+ +
+ +Making a Universal build of libfuse:
+ +
+-+1. Run "/bin/sh ./darwin_configure.sh /path/to/macfuse/core/10.5/fusefs/"
+++1. Run "/bin/sh ./darwin_configure.sh /path/to/macfuse/core/10.6/fusefs/"
+ +2. Run make
+ +
+ +If you begin with the "raw" patch, you need to perform a step 0 as follows:
+@@ -37607,7 +37607,7 @@
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
+ +
+-+CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch ppc -arch x86_64 -arch ppc64 -isysroot /Developer/SDKs/MacOSX10.5.sdk" LDFLAGS="-arch i386 -arch ppc -arch x86_64 -arch ppc64 -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
+++CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk" LDFLAGS="-arch i386 -arch x86_64  -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
+ diff -Naur old/darwin_configure_ino64.sh new/darwin_configure_ino64.sh
+ --- old/darwin_configure_ino64.sh	1969-12-31 16:00:00.000000000 -0800
+ +++ new/darwin_configure_ino64.sh	2008-11-26 21:50:02.000000000 -0800
+@@ -37617,7 +37617,7 @@
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
+ +
+-+CFLAGS="-D__DARWIN_64_BIT_INO_T=1 -D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch ppc -arch x86_64 -arch ppc64 -isysroot /Developer/SDKs/MacOSX10.5.sdk" LDFLAGS="-arch i386 -arch ppc -arch x86_64 -arch ppc64 -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
+++CFLAGS="-D__DARWIN_64_BIT_INO_T=1 -D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk" LDFLAGS="-arch i386 -arch x86_64 -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
+ diff -Naur old/example/Makefile.am new/example/Makefile.am
+ --- old/example/Makefile.am	2008-02-19 11:51:22.000000000 -0800
+ +++ new/example/Makefile.am	2008-11-26 21:50:02.000000000 -0800
+diff -ur work/core-orig/10.5/libfuse/fuse-current-macosx.patch work/core/10.6/libfuse/fuse-current-macosx.patch
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff /Users/dan/localports/fuse/macfuse/files/patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff	1969-12-31 19:00:00.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff	2009-12-22 23:09:07.000000000 -0500
@@ -0,0 +1,11 @@
+--- 10.5/libfuse/fuse-2.7.3-macosx.patch	2008-12-02 21:32:20.000000000 -0500
++++ 10.5/libfuse/fuse-2.7.3-macosx.patch	2009-12-22 22:59:21.000000000 -0500
+@@ -37607,7 +37607,7 @@
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
+ +
+-+CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch ppc -arch x86_64 -arch ppc64 -isysroot /Developer/SDKs/MacOSX10.5.sdk" LDFLAGS="-arch i386 -arch ppc -arch x86_64 -arch ppc64 -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
+++CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch ppc -arch x86_64 -arch ppc64 -isysroot /Developer/SDKs/MacOSX10.5.sdk" LDFLAGS="-arch i386 -arch ppc -arch x86_64 -arch ppc64 -framework CoreFoundation" ./configure --prefix=@@PREFIX@@ --disable-dependency-tracking --disable-static
+ diff -Naur old/darwin_configure_ino64.sh new/darwin_configure_ino64.sh
+ --- old/darwin_configure_ino64.sh	1969-12-31 16:00:00.000000000 -0800
+ +++ new/darwin_configure_ino64.sh	2008-11-26 21:50:02.000000000 -0800
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff /Users/dan/localports/fuse/macfuse/files/patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff	1969-12-31 19:00:00.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff	2009-12-18 04:03:16.000000000 -0500
@@ -0,0 +1,11 @@
+--- 10.6/libfuse/fuse-2.7.3-macosx.patch       2009-12-18 01:38:35.000000000 -0500
++++ 10.6/libfuse/fuse-2.7.3-macosx.patch         	2009-12-18 02:39:51.000000000 -0500
+@@ -37607,7 +37607,7 @@
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
+ +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
+ +
+-+CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk" LDFLAGS="-arch i386 -arch x86_64  -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
+++CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk" LDFLAGS="-arch i386 -arch x86_64  -framework CoreFoundation" ./configure --prefix=@@PREFIX@@ --disable-dependency-tracking --disable-static
+ diff -Naur old/darwin_configure_ino64.sh new/darwin_configure_ino64.sh
+ --- old/darwin_configure_ino64.sh	1969-12-31 16:00:00.000000000 -0800
+ +++ new/darwin_configure_ino64.sh	2008-11-26 21:50:02.000000000 -0800
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-build_macfuse.sh /Users/dan/localports/fuse/macfuse/files/patch-build_macfuse.sh
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-build_macfuse.sh	2008-07-05 18:28:10.000000000 -0400
+++ /Users/dan/localports/fuse/macfuse/files/patch-build_macfuse.sh	1969-12-31 19:00:00.000000000 -0500
@@ -1,16 +0,0 @@
---- build_macfuse.sh
-+++ build_macfuse.sh
-@@ -52,11 +52,11 @@ case "$os_release" in
-       exit 0
-   ;;
-   8*)
--      src_dir="$macfuse_dir/core/10.4/fusefs/"
-+      src_dir="$macfuse_dir/macfuse-core/10.4/fusefs/"
-       os_codename="Tiger"
-   ;;
-   9*)
--      src_dir="$macfuse_dir/core/10.5/fusefs/"
-+      src_dir="$macfuse_dir/macfuse-core/10.5/fusefs/"
-       os_codename="Leopard"
-   ;;
-   *)
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-macfuse_buildtool.sh.diff /Users/dan/localports/fuse/macfuse/files/patch-macfuse_buildtool.sh.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-macfuse_buildtool.sh.diff	1969-12-31 19:00:00.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-macfuse_buildtool.sh.diff	2009-12-18 04:07:50.000000000 -0500
@@ -0,0 +1,71 @@
+--- macfuse_buildtool.sh	2009-12-15 19:51:26.000000000 -0500
++++ macfuse_buildtool.sh	2009-12-15 19:58:07.000000000 -0500
+@@ -14,7 +14,7 @@
+ # Beware: GNU libtool cannot handle directory names containing whitespace.
+ #         Therefore, do not set M_CONF_TMPDIR to such a directory.
+ #
+-readonly M_CONF_TMPDIR=/tmp
++readonly M_CONF_TMPDIR=@@WORKPATH@@
+ readonly M_CONF_PRIVKEY=/etc/macfuse/private.der
+ 
+ # Other constants
+@@ -27,7 +27,7 @@
+ 
+ readonly M_CONFIGURATIONS="Debug Release" # default is Release
+ readonly M_PLATFORMS="10.4 10.5 10.6"     # default is native
+-readonly M_PLATFORMS_REALISTIC="10.4 10.5"
++readonly M_PLATFORMS_REALISTIC="10.4 10.5 10.6"
+ readonly M_TARGETS="clean dist examples lib libsrc reload smalldist swconfigure"
+ readonly M_TARGETS_WITH_PLATFORM="examples lib libsrc smalldist swconfigure"
+ 
+@@ -207,12 +207,6 @@
+        m_platform=`sw_vers -productVersion | cut -d . -f 1,2`
+     fi
+ 
+-    # XXX For now
+-    if [ "$m_platform" == "10.6" ]
+-    then
+-        m_platform="10.5"
+-    fi
+-
+     case "$m_platform" in
+     10.4*)
+         m_osname="Tiger"
+@@ -845,13 +839,6 @@
+     done
+     IFS="$md_saved_ifs"
+ 
+-    # XXX For now, make 10.5 also valid for 10.6
+-    #
+-    if [ -d "$md_install_resources/10.5" ]
+-    then
+-        ln -s "10.5" "$md_install_resources/10.6"
+-    fi
+-
+     # Throw in the autoinstaller
+     #
+     cp "$md_ai" "$md_install_resources"
+@@ -1063,7 +1063,7 @@
+ 
+     local ms_macfuse_out="$M_CONF_TMPDIR/macfuse-core-$ms_os_version-$ms_macfuse_version"
+     local ms_macfuse_build="$ms_macfuse_out/build/"
+-    local ms_macfuse_root="$ms_macfuse_out/pkgroot/"
++    local ms_macfuse_root="@@DESTPATH@@"
+ 
+     if [ "$m_shortcircuit" != "1" ]
+     then
+@@ -1380,8 +1367,13 @@
+     then
+         extra_cflags="-mmacosx-version-min=10.4"
+         architectures="-arch i386 -arch ppc"
+-    else
++    elif [ "$m_platform" == "10.5" ]
++    then
+         architectures="-arch i386 -arch ppc"
++    else 
++        # pc support dropped in 10.6.
++        # x86_64 not supported yet.
++        architectures="-arch i386"
+     fi
+ 
+     local common_cflags="-O0 -g $architectures -isysroot $m_usdk_dir -I/usr/local/include"
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-sdk-objc_GMUserFileSystem.m.diff /Users/dan/localports/fuse/macfuse/files/patch-sdk-objc_GMUserFileSystem.m.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-sdk-objc_GMUserFileSystem.m.diff	1969-12-31 19:00:00.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-sdk-objc_GMUserFileSystem.m.diff	2009-12-17 21:38:51.000000000 -0500
@@ -0,0 +1,11 @@
+--- sdk-objc/GMUserFileSystem.m	2008-12-05 20:45:59.000000000 -0500
++++ sdk-objc/GMUserFileSystem.m	2009-11-29 20:58:35.000000000 -0500
+@@ -2425,7 +2425,7 @@
+   // filesystems. This leads to deadlock when we re-enter our mounted fuse fs. 
+   // Once initialized it seems to work fine.
+   NSFileManager* fileManager = [NSFileManager defaultManager];
+-  [fileManager directoryContentsAtPath:@"/Volumes"];
++  [fileManager contentsOfDirectoryAtPath:@"/Volumes" error:NULL];
+ 
+   NSMutableArray* arguments = 
+     [NSMutableArray arrayWithObject:[[NSBundle mainBundle] executablePath]];
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-sdk-objc_MacFuse.xcodeproj.diff /Users/dan/localports/fuse/macfuse/files/patch-sdk-objc_MacFuse.xcodeproj.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-sdk-objc_MacFuse.xcodeproj.diff	1969-12-31 19:00:00.000000000 -0500
+++ /Users/dan/localports/fuse/macfuse/files/patch-sdk-objc_MacFuse.xcodeproj.diff	2009-12-17 21:39:18.000000000 -0500
@@ -0,0 +1,311 @@
+--- sdk-objc/MacFUSE.xcodeproj/project.pbxproj	2008-12-02 21:46:02.000000000 -0500
++++ sdk-objc/MacFUSE.xcodeproj/project.pbxproj	2009-11-29 20:58:35.000000000 -0500
+@@ -7,6 +7,20 @@
+ 	objects = {
+ 
+ /* Begin PBXBuildFile section */
++		04F58497108BE9DC006329DD /* GMAppleDouble.h in Headers */ = {isa = PBXBuildFile; fileRef = FF4337460D27697A00554C02 /* GMAppleDouble.h */; settings = {ATTRIBUTES = (Public, ); }; };
++		04F58498108BE9DC006329DD /* GMFinderInfo.h in Headers */ = {isa = PBXBuildFile; fileRef = FF4337480D27697A00554C02 /* GMFinderInfo.h */; settings = {ATTRIBUTES = (Public, ); }; };
++		04F58499108BE9DC006329DD /* GMResourceFork.h in Headers */ = {isa = PBXBuildFile; fileRef = FF43374A0D27697A00554C02 /* GMResourceFork.h */; settings = {ATTRIBUTES = (Public, ); }; };
++		04F5849A108BE9DC006329DD /* GMUserFileSystem.h in Headers */ = {isa = PBXBuildFile; fileRef = FFC1BF780D2D81D5009D8847 /* GMUserFileSystem.h */; settings = {ATTRIBUTES = (Public, ); }; };
++		04F5849B108BE9DC006329DD /* GMDataBackedFileDelegate.h in Headers */ = {isa = PBXBuildFile; fileRef = FF6C40200D300D7E00E51DD2 /* GMDataBackedFileDelegate.h */; };
++		04F5849C108BE9DC006329DD /* MacFUSE.h in Headers */ = {isa = PBXBuildFile; fileRef = FF9CE9400EAC59C80006A9F1 /* MacFUSE.h */; settings = {ATTRIBUTES = (Public, ); }; };
++		04F5849E108BE9DC006329DD /* InfoPlist.strings in Resources */ = {isa = PBXBuildFile; fileRef = 089C1666FE841158C02AAC07 /* InfoPlist.strings */; };
++		04F584A0108BE9DC006329DD /* GMAppleDouble.m in Sources */ = {isa = PBXBuildFile; fileRef = FF4337470D27697A00554C02 /* GMAppleDouble.m */; };
++		04F584A1108BE9DC006329DD /* GMFinderInfo.m in Sources */ = {isa = PBXBuildFile; fileRef = FF4337490D27697A00554C02 /* GMFinderInfo.m */; };
++		04F584A2108BE9DC006329DD /* GMResourceFork.m in Sources */ = {isa = PBXBuildFile; fileRef = FF43374B0D27697A00554C02 /* GMResourceFork.m */; };
++		04F584A3108BE9DC006329DD /* GMUserFileSystem.m in Sources */ = {isa = PBXBuildFile; fileRef = FFC1BF790D2D81D5009D8847 /* GMUserFileSystem.m */; };
++		04F584A4108BE9DC006329DD /* GMDataBackedFileDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = FF6C40210D300D7E00E51DD2 /* GMDataBackedFileDelegate.m */; };
++		04F584A5108BE9DC006329DD /* macfuse_objc_dtrace.d in Sources */ = {isa = PBXBuildFile; fileRef = 28D526C70EA8342500B7CF7B /* macfuse_objc_dtrace.d */; };
++		04F584A7108BE9DC006329DD /* Foundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0867D69BFE84028FC02AAC07 /* Foundation.framework */; };
+ 		28D525B50EA8076400B7CF7B /* GMAppleDouble.h in Headers */ = {isa = PBXBuildFile; fileRef = FF4337460D27697A00554C02 /* GMAppleDouble.h */; settings = {ATTRIBUTES = (Public, ); }; };
+ 		28D525B60EA8076400B7CF7B /* GMFinderInfo.h in Headers */ = {isa = PBXBuildFile; fileRef = FF4337480D27697A00554C02 /* GMFinderInfo.h */; settings = {ATTRIBUTES = (Public, ); }; };
+ 		28D525B70EA8076400B7CF7B /* GMResourceFork.h in Headers */ = {isa = PBXBuildFile; fileRef = FF43374A0D27697A00554C02 /* GMResourceFork.h */; settings = {ATTRIBUTES = (Public, ); }; };
+@@ -38,6 +52,8 @@
+ /* End PBXBuildFile section */
+ 
+ /* Begin PBXFileReference section */
++		04F584AC108BE9DC006329DD /* MacFUSE.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = MacFUSE.framework; sourceTree = BUILT_PRODUCTS_DIR; };
++		04F584AD108BE9DC006329DD /* Info copy.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist; path = "Info copy.plist"; sourceTree = "<group>"; };
+ 		0867D69BFE84028FC02AAC07 /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = /System/Library/Frameworks/Foundation.framework; sourceTree = "<absolute>"; };
+ 		089C1667FE841158C02AAC07 /* English */ = {isa = PBXFileReference; fileEncoding = 10; lastKnownFileType = text.plist.strings; name = English; path = English.lproj/InfoPlist.strings; sourceTree = "<group>"; };
+ 		28D525C80EA8076400B7CF7B /* MacFUSE.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = MacFUSE.framework; sourceTree = BUILT_PRODUCTS_DIR; };
+@@ -62,6 +78,14 @@
+ /* End PBXFileReference section */
+ 
+ /* Begin PBXFrameworksBuildPhase section */
++		04F584A6108BE9DC006329DD /* Frameworks */ = {
++			isa = PBXFrameworksBuildPhase;
++			buildActionMask = 2147483647;
++			files = (
++				04F584A7108BE9DC006329DD /* Foundation.framework in Frameworks */,
++			);
++			runOnlyForDeploymentPostprocessing = 0;
++		};
+ 		28D525C20EA8076400B7CF7B /* Frameworks */ = {
+ 			isa = PBXFrameworksBuildPhase;
+ 			buildActionMask = 2147483647;
+@@ -86,6 +110,7 @@
+ 			children = (
+ 				8DC2EF5B0486A6940098B216 /* MacFUSE.framework */,
+ 				28D525C80EA8076400B7CF7B /* MacFUSE.framework */,
++				04F584AC108BE9DC006329DD /* MacFUSE.framework */,
+ 			);
+ 			name = Products;
+ 			sourceTree = "<group>";
+@@ -117,6 +142,7 @@
+ 			children = (
+ 				8DC2EF5A0486A6940098B216 /* Info.plist */,
+ 				089C1666FE841158C02AAC07 /* InfoPlist.strings */,
++				04F584AD108BE9DC006329DD /* Info copy.plist */,
+ 			);
+ 			name = Resources;
+ 			sourceTree = "<group>";
+@@ -168,6 +194,19 @@
+ /* End PBXGroup section */
+ 
+ /* Begin PBXHeadersBuildPhase section */
++		04F58496108BE9DC006329DD /* Headers */ = {
++			isa = PBXHeadersBuildPhase;
++			buildActionMask = 2147483647;
++			files = (
++				04F58497108BE9DC006329DD /* GMAppleDouble.h in Headers */,
++				04F58498108BE9DC006329DD /* GMFinderInfo.h in Headers */,
++				04F58499108BE9DC006329DD /* GMResourceFork.h in Headers */,
++				04F5849A108BE9DC006329DD /* GMUserFileSystem.h in Headers */,
++				04F5849B108BE9DC006329DD /* GMDataBackedFileDelegate.h in Headers */,
++				04F5849C108BE9DC006329DD /* MacFUSE.h in Headers */,
++			);
++			runOnlyForDeploymentPostprocessing = 0;
++		};
+ 		28D525B40EA8076400B7CF7B /* Headers */ = {
+ 			isa = PBXHeadersBuildPhase;
+ 			buildActionMask = 2147483647;
+@@ -197,6 +236,26 @@
+ /* End PBXHeadersBuildPhase section */
+ 
+ /* Begin PBXNativeTarget section */
++		04F58495108BE9DC006329DD /* MacFUSE-10.6 */ = {
++			isa = PBXNativeTarget;
++			buildConfigurationList = 04F584A9108BE9DC006329DD /* Build configuration list for PBXNativeTarget "MacFUSE-10.6" */;
++			buildPhases = (
++				04F58496108BE9DC006329DD /* Headers */,
++				04F5849D108BE9DC006329DD /* Resources */,
++				04F5849F108BE9DC006329DD /* Sources */,
++				04F584A6108BE9DC006329DD /* Frameworks */,
++				04F584A8108BE9DC006329DD /* ShellScript */,
++			);
++			buildRules = (
++			);
++			dependencies = (
++			);
++			name = "MacFUSE-10.6";
++			productInstallPath = /Library/Frameworks;
++			productName = MacFUSE;
++			productReference = 04F584AC108BE9DC006329DD /* MacFUSE.framework */;
++			productType = "com.apple.product-type.framework";
++		};
+ 		28D525B30EA8076400B7CF7B /* MacFUSE-10.5 */ = {
+ 			isa = PBXNativeTarget;
+ 			buildConfigurationList = 28D525C50EA8076400B7CF7B /* Build configuration list for PBXNativeTarget "MacFUSE-10.5" */;
+@@ -252,11 +311,20 @@
+ 			targets = (
+ 				8DC2EF4F0486A6940098B216 /* MacFUSE-10.4 */,
+ 				28D525B30EA8076400B7CF7B /* MacFUSE-10.5 */,
++				04F58495108BE9DC006329DD /* MacFUSE-10.6 */,
+ 			);
+ 		};
+ /* End PBXProject section */
+ 
+ /* Begin PBXResourcesBuildPhase section */
++		04F5849D108BE9DC006329DD /* Resources */ = {
++			isa = PBXResourcesBuildPhase;
++			buildActionMask = 2147483647;
++			files = (
++				04F5849E108BE9DC006329DD /* InfoPlist.strings in Resources */,
++			);
++			runOnlyForDeploymentPostprocessing = 0;
++		};
+ 		28D525BA0EA8076400B7CF7B /* Resources */ = {
+ 			isa = PBXResourcesBuildPhase;
+ 			buildActionMask = 2147483647;
+@@ -277,6 +345,20 @@
+ /* End PBXResourcesBuildPhase section */
+ 
+ /* Begin PBXShellScriptBuildPhase section */
++		04F584A8108BE9DC006329DD /* ShellScript */ = {
++			isa = PBXShellScriptBuildPhase;
++			buildActionMask = 12;
++			files = (
++			);
++			inputPaths = (
++			);
++			outputPaths = (
++			);
++			runOnlyForDeploymentPostprocessing = 0;
++			shellPath = /bin/sh;
++			shellScript = "if [ x\"$ACTION\" != x\"build\" ]\nthen\n  exit 0\nfi\n\nTEMPLATE_DIR=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/ProjectTemplates/\"\nmkdir \"$TEMPLATE_DIR\"\ncp -R \"${SOURCE_ROOT}/ProjectTemplates/\" \"$TEMPLATE_DIR\"\nfind \"$TEMPLATE_DIR\" -type d -name '.svn' -exec rm -rf '{}' \\; > /dev/null 2>&1 || true\n\nGEN_BRIDGE_METADATA=/usr/bin/gen_bridge_metadata\nif [ ! -x $GEN_BRIDGE_METADATA ]\nthen\n  echo \"Skipping BridgeSupport due to missing gen_bridge_metadata.\"\n  exit 0\nfi\nOUT_FRAMEWORK=\"${TARGET_BUILD_DIR}/${SDK_NAME}.framework\"\nBRIDGE_DIR=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/BridgeSupport/\"\nmkdir \"$BRIDGE_DIR\"\nDYLD_LIBRARY_PATH=\"${MACFUSE_BUILD_ROOT}/usr/local/lib/\" $GEN_BRIDGE_METADATA -f \"$OUT_FRAMEWORK\" > \"${BRIDGE_DIR}/${SDK_NAME}.bridgesupport\"\n\nDEBUG_DIR=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/Debug/\"\nmkdir \"$DEBUG_DIR\"\ncp -R \"${OUT_FRAMEWORK}.dSYM\" \"$DEBUG_DIR\"\n";
++			showEnvVarsInLog = 0;
++		};
+ 		28D525C40EA8076400B7CF7B /* ShellScript */ = {
+ 			isa = PBXShellScriptBuildPhase;
+ 			buildActionMask = 12;
+@@ -308,6 +390,19 @@
+ /* End PBXShellScriptBuildPhase section */
+ 
+ /* Begin PBXSourcesBuildPhase section */
++		04F5849F108BE9DC006329DD /* Sources */ = {
++			isa = PBXSourcesBuildPhase;
++			buildActionMask = 2147483647;
++			files = (
++				04F584A0108BE9DC006329DD /* GMAppleDouble.m in Sources */,
++				04F584A1108BE9DC006329DD /* GMFinderInfo.m in Sources */,
++				04F584A2108BE9DC006329DD /* GMResourceFork.m in Sources */,
++				04F584A3108BE9DC006329DD /* GMUserFileSystem.m in Sources */,
++				04F584A4108BE9DC006329DD /* GMDataBackedFileDelegate.m in Sources */,
++				04F584A5108BE9DC006329DD /* macfuse_objc_dtrace.d in Sources */,
++			);
++			runOnlyForDeploymentPostprocessing = 0;
++		};
+ 		28D525BC0EA8076400B7CF7B /* Sources */ = {
+ 			isa = PBXSourcesBuildPhase;
+ 			buildActionMask = 2147483647;
+@@ -347,6 +442,82 @@
+ /* End PBXVariantGroup section */
+ 
+ /* Begin XCBuildConfiguration section */
++		04F584AA108BE9DC006329DD /* Debug */ = {
++			isa = XCBuildConfiguration;
++			baseConfigurationReference = 28D5261B0EA80E7000B7CF7B /* MacFUSE.xcconfig */;
++			buildSettings = {
++				ARCHS = (
++					i386,
++					x86_64,
++				);
++				COPY_PHASE_STRIP = NO;
++				DYLIB_COMPATIBILITY_VERSION = 1;
++				DYLIB_CURRENT_VERSION = 1;
++				FRAMEWORK_VERSION = A;
++				GCC_DYNAMIC_NO_PIC = NO;
++				GCC_ENABLE_FIX_AND_CONTINUE = YES;
++				GCC_MODEL_TUNING = G5;
++				GCC_OPTIMIZATION_LEVEL = 0;
++				GCC_PRECOMPILE_PREFIX_HEADER = YES;
++				GCC_PREFIX_HEADER = MacFUSE_Prefix.pch;
++				INFOPLIST_FILE = Info.plist;
++				INSTALL_PATH = /Library/Frameworks;
++				OTHER_CFLAGS = (
++					"-D__DARWIN_64_BIT_INO_T=1",
++					"-D__FreeBSD__=10",
++					"-D_FILE_OFFSET_BITS=64",
++					"-std=c99",
++					"-I$(MACFUSE_BUILD_ROOT)/usr/local/include",
++					"${CUSTOM_CFLAGS}",
++				);
++				OTHER_LDFLAGS = (
++					"-lfuse_ino64",
++					"-L$(MACFUSE_BUILD_ROOT)/usr/local/lib",
++				);
++				PRODUCT_NAME = MacFUSE;
++				SDKROOT = macosx10.6;
++				"SDKROOT[arch=*64]" = macosx10.6;
++				WRAPPER_EXTENSION = framework;
++				ZERO_LINK = YES;
++			};
++			name = Debug;
++		};
++		04F584AB108BE9DC006329DD /* Release */ = {
++			isa = XCBuildConfiguration;
++			baseConfigurationReference = 28D5261B0EA80E7000B7CF7B /* MacFUSE.xcconfig */;
++			buildSettings = {
++				ARCHS = (
++					i386,
++					x86_64,
++				);
++				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
++				DYLIB_COMPATIBILITY_VERSION = 1;
++				DYLIB_CURRENT_VERSION = 1;
++				FRAMEWORK_VERSION = A;
++				GCC_MODEL_TUNING = G5;
++				GCC_PRECOMPILE_PREFIX_HEADER = YES;
++				GCC_PREFIX_HEADER = MacFUSE_Prefix.pch;
++				INFOPLIST_FILE = Info.plist;
++				INSTALL_PATH = /Library/Frameworks;
++				OTHER_CFLAGS = (
++					"-D__DARWIN_64_BIT_INO_T=1",
++					"-D__FreeBSD__=10",
++					"-D_FILE_OFFSET_BITS=64",
++					"-std=c99",
++					"-I$(MACFUSE_BUILD_ROOT)/usr/local/include",
++					"${CUSTOM_CFLAGS}",
++				);
++				OTHER_LDFLAGS = (
++					"-lfuse_ino64",
++					"-L$(MACFUSE_BUILD_ROOT)/usr/local/lib",
++				);
++				PRODUCT_NAME = MacFUSE;
++				SDKROOT = macosx10.6;
++				STRIPFLAGS = "";
++				WRAPPER_EXTENSION = framework;
++			};
++			name = Release;
++		};
+ 		1DEB91AE08733DA50010E9CD /* Debug */ = {
+ 			isa = XCBuildConfiguration;
+ 			baseConfigurationReference = 28D5261B0EA80E7000B7CF7B /* MacFUSE.xcconfig */;
+@@ -401,8 +572,6 @@
+ 				ARCHS = (
+ 					i386,
+ 					x86_64,
+-					ppc,
+-					ppc64,
+ 				);
+ 				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
+ 				GCC_ENABLE_OBJC_GC = supported;
+@@ -427,8 +596,8 @@
+ 					"-L$(MACFUSE_BUILD_ROOT)/usr/local/lib",
+ 				);
+ 				PREBINDING = NO;
+-				SDKROOT = macosx10.4;
+-				"SDKROOT[arch=*64]" = macosx10.5;
++				SDKROOT = macosx10.6;
++				"SDKROOT[arch=*64]" = macosx10.6;
+ 			};
+ 			name = Debug;
+ 		};
+@@ -439,8 +608,6 @@
+ 				ARCHS = (
+ 					i386,
+ 					x86_64,
+-					ppc,
+-					ppc64,
+ 				);
+ 				DEPLOYMENT_POSTPROCESSING = YES;
+ 				GCC_ENABLE_OBJC_EXCEPTIONS = YES;
+@@ -467,8 +634,8 @@
+ 					"-L$(MACFUSE_BUILD_ROOT)/usr/local/lib",
+ 				);
+ 				PREBINDING = NO;
+-				SDKROOT = macosx10.4;
+-				"SDKROOT[arch=*64]" = macosx10.5;
++				SDKROOT = macosx10.6;
++				"SDKROOT[arch=*64]" = macosx10.6;
+ 				SEPARATE_STRIP = NO;
+ 				STRIP_INSTALLED_PRODUCT = YES;
+ 				STRIP_STYLE = "non-global";
+@@ -545,6 +712,15 @@
+ /* End XCBuildConfiguration section */
+ 
+ /* Begin XCConfigurationList section */
++		04F584A9108BE9DC006329DD /* Build configuration list for PBXNativeTarget "MacFUSE-10.6" */ = {
++			isa = XCConfigurationList;
++			buildConfigurations = (
++				04F584AA108BE9DC006329DD /* Debug */,
++				04F584AB108BE9DC006329DD /* Release */,
++			);
++			defaultConfigurationIsVisible = 0;
++			defaultConfigurationName = Debug;
++		};
+ 		1DEB91AD08733DA50010E9CD /* Build configuration list for PBXNativeTarget "MacFUSE-10.4" */ = {
+ 			isa = XCConfigurationList;
+ 			buildConfigurations = (

